%define current_version 7.0.120.1

%define prlvsdk prlsdk

%define sdkver_major 7
%define sdkver_minor 0

%define python_ver python2.7

Summary: Software Developing Kit for Parallels Cloud Server
Name: libprlsdk
Obsoletes: parallels-virtualization-open-sdk, parallels-virtualization-sdk
Version: %{current_version}
Release:        1%{?dist}

Group: Development/Libraries
License: LGPLv2.1
URL: https://github.com/OpenVZ/libprlsdk
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: libprlcommon
# Do NOT contencate libprlxmlmodel requires - modified by automatic script
Requires:	libprlxmlmodel >= 7.0.41
BuildRequires: make
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: python
BuildRequires: python-devel
BuildRequires: qt4-devel
BuildRequires: qt4
BuildRequires: boost-devel
BuildRequires: libprlcommon-devel
BuildRequires: libprlxmlmodel-devel >= 7.0.5
ExclusiveArch: x86_64


%description
Parallels Virtualization SDK is a development kit used to create and integrate
custom software solutions with Parallels Cloud Server. The SDK provides cross-
platform ANSI C and Python APIs.

%package devel
Summary: Libraries, includes to compile with the Parallels SDK library
Group: Development/Libraries
License: LGPLv2.1
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Include header files & development libraries for the Parallels Virtualization SDK library.

%package python
Summary: A Python interface to Parallels Server SDK
Group: Development/Languages
License: LGPLv2.1
Obsoletes: python-parallels-virtualization-sdk
Requires: %{name} = %{version}-%{release}

%description python
A Python interface to Parallels Server SDK

%prep
%setup -q


%build
export PATH="$PATH:/usr/lib64/qt4/bin"
cd Sources
./Gen.py release
cd SDK
qmake-qt4
make %{?_smp_mflags} release
cd Python
./BuildPyPrlSdk.py

%install
rm -rf %{buildroot}

%{__mkdir}  -p %{buildroot}/%{_libdir}

SDKLIB=`basename z-Build/Release/libprl_sdk.so.%{sdkver_major}.%{sdkver_minor}.*`

install -m 0755 z-Build/Release/${SDKLIB} %{buildroot}/%{_libdir}
ln -sf ${SDKLIB} %{buildroot}/%{_libdir}/libprl_sdk.so.%{sdkver_major}.%{sdkver_minor}
ln -sf libprl_sdk.so.%{sdkver_major}.%{sdkver_minor} %{buildroot}/%{_libdir}/libprl_sdk.so.%{sdkver_major}
ln -sf libprl_sdk.so.%{sdkver_major} %{buildroot}/%{_libdir}/libprl_sdk.so

%{__mkdir} -p %{buildroot}/%{_usr}/include/%{prlvsdk}

SDKDIR=Sources/SDK

HDRDIR=${SDKDIR}/Include

HDRFILES=`egrep -e "file\w+=" ${HDRDIR}/public_headers.ini | cut -d= -f2`

for hdrfile in ${HDRFILES}; do
    install -m 644 ${HDRDIR}/$hdrfile %{buildroot}/%{_usr}/include/%{prlvsdk}/$hdrfile
done

%{__mkdir} -p %{buildroot}/%{_datadir}/%{prlvsdk}/helpers/SdkWrap

WRPDIR=${SDKDIR}/Wrappers/SdkWrap
%{__mkdir} -p %{buildroot}%{_libdir}/pkgconfig/
install -m 644 ${SDKDIR}/Handles/parallels-sdk.pc %{buildroot}/%{_libdir}/pkgconfig/
WRPFILES="SdkWrap.cpp SdkWrap.h SdkHandleWrap.h"

for wrpfile in ${WRPFILES}; do
    install -m 644 ${WRPDIR}/$wrpfile %{buildroot}/%{_datadir}/%{prlvsdk}/helpers/SdkWrap/$wrpfile
done
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-%{version}
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-devel-%{version}
install -m 644 COPYING LGPL-2.1  %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 COPYING LGPL-2.1  %{buildroot}%{_docdir}/%{name}-devel-%{version}/

# Python part
%{__mkdir} -p %{buildroot}/%{python_sitelib}/prlsdkapi/
install -m 0755 z-Build/Release/%{python_ver}/prlsdk.so %{buildroot}/%{python_sitelib}/prlsdkapi/prlsdk.so
install -m 0644 Sources/SDK/Python/prlsdkapi.py %{buildroot}/%{python_sitelib}/prlsdkapi/__init__.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/libprl_sdk.so.*
%{_docdir}/%{name}-%{version}

%files devel
%defattr(-, root, root)
%{_libdir}/libprl_sdk.so
%dir %{_includedir}/%{prlvsdk}
%{_includedir}/%{prlvsdk}/*.h
%{_datadir}/%{prlvsdk}/helpers/SdkWrap/*
%{_docdir}/%{name}-devel-%{version}
%{_libdir}/pkgconfig/

%files python
%defattr(-, root, root)
/%{python_sitelib}/prlsdkapi/*

%changelog
* Wed Jul 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.120.1
 - Added VMS_REBOOTED / VMS_AGENT_STARTED events #PSBM-49317 (Sergey Galas
<shrike@virtuozzo.com>)
 - Forked \.0 version (Konstantin Volkov <wolf@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.120
 - Rebuilded with old libprlxmlmodel (Konstantin Volkov <wolf@virtuozzo.com>)

* Fri Jul 15 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.119-1.1
- Rebuilded with old libprlxmlmodel

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.119
 - Add patterns for ipv4 and ipv6 classful stats, #PSBM-48219 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Tue Jun 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.118

* Fri Jun 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.117
 - coverity-117421 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117456 Structurally dead code (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-125019 Logically dead code (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-125045 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-125048 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-125049 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jun 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.116
 - coverity-125034 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-125024 Out-of-bounds read (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Get rid of old disk encryption interface (PSBM-48677) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Remove shipped openssl files since they're not used (PSBM-48677) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Thu Jun 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.115
 - coverity-125029 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)

* Fri Jun 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.114
 - Add a specific error message for unsupported KEEP_CHAIN option (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47789)

* Thu Jun 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.113
 - Add a flag for the rest of backup chain preservation on a backup removal
(Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47789)

* Mon Jun 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.112
 - Add getter for GuestCpuLimitType #PSBM-45713 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jun 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.111
 - Invert PVMT_TUNNELED and rename it to PVMT_DIRECT_DATA_CONNECTION #PSBM-47968
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Enable SCSI stack index 7, #PSBM-48040 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue Jun 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.110
 - Added error for duplicated virtio-block stack index, #PSBM-47819 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Forbid interface change if there's no valid stack index, #PSBM-47819 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Mon Jun 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.109
 - git: ignore pysdk build routine (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - AddMethod: fix generation of new handle class (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-39266)

* Sat Jun 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.108

* Sat Jun 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.107
 - Add flag for migration with tunnel #PSBM-47968 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jun 01 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.106
 - Remove excessive backup error parameter (#PSBM-47773)

* Tue May 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.105
 - Make API for shared folders unimplemented #PSBM-47679 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue May 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.104
 - Output a better error message when the connection to the local dispatcher is
lost. #PSBM-47281 (Anton Sanarov <asanarov@virtuozzo.com>)

* Mon May 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.103
 - CPU pools management improvement (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-47369)

* Sat May 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.102
 - Add new job operation codes (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-47369)
 - Rejuvenate AddMethod.py (Alexander Kurbatov <alkurbatov@virtuozzo.com>) (#PSBM-39266)

* Thu May 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.101
 - Revert "Change default type of network adapter for win2k3 #PSBM-46305"
(Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-46306)

* Thu May 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.100
 - Add a message to show if the VM to be deleted is invalid and will be only
unregistered instead. #PSBM-45622 (Anton Sanarov <asanarov@virtuozzo.com>)

* Wed May 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.99
 - Remove prlctl options from the error text. #PSBM-45427 (Anton Sanarov
<asanarov@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.98
 - Add a specific error for cases when a new private path is given when
restoring backup over an existing VM. #PSBM-45427 (Anton Sanarov
<asanarov@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.97

* Mon May 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.96
 - Bugfix with image size (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Sat May 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.95
 - Switch to policy-based image creation, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu May 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.94
 - Fixed write to freed memory #PSBM-47022 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Fri May 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.93
 - Add a new migration flag for uncompressed migration (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-46784)

* Fri Apr 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.92
 - Merge PVMT_SEND_DISK_MAP flag from PCS6 SDK #PSBM-40857 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Make ip conflict critical. #PSBM-33726 (Anton Sanarov
<asanarov@virtuozzo.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.91
 - Add PrlVmCfg_Set/GetNodeMask to SDK. #PSBM-39268 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - New constants for Virtuozzo Linux guests (Denis Silakov <dsilakov@gmail.com>)

* Mon Apr 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.90
 - Change default type of network adapter for win2k3 #PSBM-46305 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Apr 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.89
 - Add disk open policy support, #PSBM-45641 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Sat Apr 09 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.88
 - Revert "Revert "Temporary workaround for win-2012."" (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-42190)

* Thu Apr 07 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.87
 - Fixed message about invalid disk - no questions in server product PSBM-43732
 - rename 'virtual machine' to 'virtual environment' #PSBM-8288 (Ivlev
<pivlev@virtuozzo.com>)
 - [sdk2python] Simplify procedure of adding new custom functions (Inga Pyass
<ipyass@virtuozzo.com>)
 - Fix text according to tech-writer recommendation. #PSBM-43131 (Alexander
Pisarev <apisarev@virtuozzo.com>)
 - Remove excessive check for SDK that breaks compilation (PRL_SDK_CHECK is
being checked functions that register this callback) (Inga Pyass
<ipyass@virtuozzo.com>)
 - Implement register and unregister event handler functions in PySDK.
\#PSBM-44826 #PSBM-45510 (Inga Pyass <ipyass@virtuozzo.com>)

* Sat Apr 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.86
 - Improve Makefile not to rebuild everything every time when make is called
(Denis Silakov <dsilakov@gmail.com>)
 - Fix comment for cpu perf counters. #PSBM-43131 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Revert "Temporary workaround for win-2012." (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-42190)

* Fri Apr 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.85
 - Vm template listing #PSBM-18408 (Ivlev <pivlev@virtuozzo.com>)

* Thu Mar 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.84
 - new PRL_ERR_VMCONF_EFI_UNSUPPORTED_GUEST code for #PSBM-41153 (Ivlev
<pivlev@virtuozzo.com>)
 - new PRL_ERR_VMCONF_EFI_UNSUPPORTED_GUEST core for #PSBM-41153 (Ivlev
<pivlev@virtuozzo.com>)

* Thu Mar 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.83
 - Implement PrlDisk_* API through VirtualDisk library, #PSBM-44036 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Wed Mar 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.81
 - Move outdate PrlStat* calls to depricated. #PSBM-43127 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Add PrlDisk_* Api to python SDK. #PSBM-44751 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Add PrlDiskMap_* API function to python SDK. #PSBM-44418 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Add explicit libprlxmlmodel Requires (Konstantin <wolf@parallels.com>)

* Mon Feb 22 2016 Sergey Galas' <shrike@odin.com> 7.0.77
 - Restore PrlDiskMap_* functions in SDK. #PSBM-44453 (Alexander Pisarev
<apisarev@virtuozzo.com>)

* Sat Feb 20 2016 Sergey Galas' <shrike@odin.com> 7.0.76
 - Drop obsoleted ws.reclaimable counter (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43140)
 - Fix error message on connection lost in SDK. #PSBM-31738 (Alexander Pisarev
<apisarev@virtuozzo.com>)

* Fri Feb 19 2016 Sergey Galas' <shrike@odin.com> 7.0.72
 - protect m_NotificationThread on removal by mutex (Maxim Kudrin
<mku@virtuozzo.com>) (#PSBM-42759)
 - protect m_NotificationThread on removal by mutex (Maxim Kudrin
<mku@virtuozzo.com>) (#PSBM-42759)
 - protect m_NotificationThread on removal by mutex (Maxim Kudrin
<mku@virtuozzo.com>) (#PSBM-42759)
 - Added distclean target (Denis Silakov <dsilakov@gmail.com>)

* Wed Feb 17 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.70
 - Restore stubs for PrlDisk API needed for backup client (PSBM-44033) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - bug #PSBM-44149 (Sergey Galas <shrike@odin.com>)

* Mon Feb 15 2016 Sergey Galas' <shrike@odin.com> 7.0.69
 - Change misleading error message for
PRL_ERR_VMCONF_NEED_MORE_MEMORY_TO_ENABLE_HOTPLUG code (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - Add new PRL_ERR_VCMMD_NO_CONNECTION error code (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Thu Feb 11 2016 Sergey Galas' <shrike@odin.com> 7.0.68
 - More Makefiles to ignore (Alexander Kurbatov <alkurbatov@virtuozzo.com>)
 - New error code for memory hot-plugging support (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43554)

* Mon Feb 08 2016 Sergey Galas' <shrike@odin.com> 7.0.67
 - Add error for attempt to add network over interface without bridge,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix: remove code that set IDE 0:1 for default CD-ROM (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Pass *LOCAL_DEPS* variables to 'make install', as well (Denis Silakov
<dsilakov@gmail.com>)
 - Pass LOCAL_DEPS_LIBS together with LOCAL_DEPS_INCLUDE (Denis Silakov
<dsilakov@gmail.com>)
 - Allow picking up build dependencies from non-system locations (Denis Silakov
<dsilakov@gmail.com>)

* Tue Feb 02 2016 Sergey Galas' <shrike@odin.com> 7.0.66
 - Add correct bridged network ID to network adapter default config, #PSBM-38503
(Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Windows guests should use our floppy image instead of real floppy (Alexander
Burluka <aburluka@virtuozzo.com>) (#PSBM-43565)

* Tue Jan 26 2016 Sergey Galas' <shrike@odin.com> 7.0.64
 - New PrlVm_SetUserPasswd method (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-41445)
 - Deprecate MemQuota and MemBalloon API calls #PSBM-41963 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.63
 - Fix sdk2python: add PRL_MEMGUARANTEE_DATA to the parser

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.62
 - Add getter and setter API calls for MemGuarantee (Dmitry Andreev. #PSBM-42535

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.61
 - Add PRL_MEMGUARANTEE_TYPE for memory guarantee value type. #PSBM-42535

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.61
 - Temporary revert d692b19dc741638bf5bed6f53fd98437ac17a0fc

* Mon Jan 18 2016 Igor Sukhih <igor@parallels.com> 7.0.60
 - Add getter and setter API calls for MemGuarantee. #PSBM-42535
 - Add PRL_MEMGUARANTEE_TYPE for memory guarantee value type. #PSBM-42535

* Fri Jan 15 2016 Sergey Galas' <shrike@odin.com> 7.0.59
 - VM CPU limit type is now configurable via SDK (Alexander Burluka
<aburluka@virtuozzo.com>)

* Wed Jan 13 2016 Sergey Galas' <shrike@odin.com> 7.0.58
 - Use virtio type of network device by default if OS version is not set
\#PSBM-42950 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Update building instructions in README.md (Dmitry Mishin <dim@virtuozzo.com>)

* Tue Jan 12 2016 Sergey Galas' <shrike@odin.com> 7.0.57
 - Fixed compilation in Fedora 23 environment (Dmitry Mishin
<dim@virtuozzo.com>)
 - Switch to standalone XmlModel usage (Dmitry Mishin <dim@virtuozzo.com>)
 - Fixed requirements (Dmitry Mishin <dim@virtuozzo.com>)

* Tue Jan 12 2016 Sergey Galas' <shrike@odin.com> 7.0.56
 - Switch to standalone XmlModel usage (Dmitry Mishin <dim@virtuozzo.com>)

* Mon Jan 11 2016 Sergey Galas' <shrike@odin.com> 7.0.55
 - Adopt Virtuozzo SDK to use Interfaces from libprlcommon (Dmitry Mishin
<dim@virtuozzo.com>)

* Fri Jan 08 2016 Sergey Galas' <shrike@odin.com> 7.0.54
 - Handle unix socket mode for serial port device (PSBM-39637) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Refactor relative <-> absolute device path conversion (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Completely get rid of shadow VM functionality (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Make a dependency to libprlcommon explicit (Dmitry Mishin
<dim@virtuozzo.com>)

* Tue Dec 29 2015 Sergey Galas' <shrike@odin.com> 7.0.53
 - Switch to external prlcommon libraries (Dmitry Mishin <dim@virtuozzo.com>)

* Tue Dec 29 2015 Sergey Galas' <shrike@odin.com> 7.0.52
 - Move ConfigDefaults header out of common libraries (Dmitry Mishin
<dim@virtuozzo.com>)

* Fri Dec 25 2015 Sergey Galas' <shrike@odin.com> 7.0.51
 - Functionality to chage uuid on Vm clone #PSBM-42554 (Igor Sukhih
<igor@parallels.com>)

* Wed Dec 09 2015 Sergey Galas' <shrike@odin.com> 7.0.50
 - Temporary workaround for win-2012. (Alexander Burluka <aburluka@odin.com>) (#PSBM-42171)

* Wed Dec 09 2015 Sergey Galas' <shrike@odin.com> 7.0.49
 - Add PrlVmDevHd_GetSerialNumber (PSBM-40247) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Add serial number field to HDD XML model (PSBM-40247) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Remove editor comments from schema (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Merge string utilities from prl-disp-service (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Wed Dec 09 2015 Sergey Galas' <shrike@odin.com> 7.0.48
 - mem hotplug: new Sources/XmlModel (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Mon Dec 07 2015 Sergey Galas' <shrike@odin.com> 7.0.47
 - Make TargetDeviceName available for CDROM and FDD (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Fallback to IDE CDROM for Debian guests #PSBM-41679 Debian 8 does not include
drivers for virtio-scsi to installation image (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Dec 02 2015 Sergey Galas' <shrike@odin.com> 7.0.46
 - Add VCpu info to xml model (Alexander Burluka <aburluka@odin.com>) (#PSBM-40758 #PSBM-40910)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.45
 - Remove GUI dependencies. (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.44

* Wed Nov 25 2015 Sergey Galas' <shrike@odin.com> 7.0.42
 - Remove parallel port from default configuration Parallel port is not a common
case in datacenter deployments. #PSBM-41566 (Dmitry Mishin <dim@virtuozzo.com>)

* Fri Nov 13 2015 Sergey Galas' <shrike@odin.com> 7.0.41
 - bug #PSBM-41194 (Sergey Galas <shrike@odin.com>)
 - add boost to build requires (Sergey Galas <shrike@odin.com>)

* Fri Nov 13 2015 Sergey Galas' <shrike@odin.com>
 - add boost to build requires

* Fri Nov 13 2015 Sergey Galas' <shrike@odin.com> 7.0.40
 - bug #PSBM-41194 (Sergey Galas <shrike@odin.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.39
 - bug #PSBM-41194 (Sergey Galas <shrike@odin.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.39
 - Restore accidentally removed PrlVm_InstallTools() method (Dmitry Mishin
<dim@virtuozzo.com>)
 - Improve top-level Makefile a bit (Dmitry Mishin <dim@virtuozzo.com>)
 - Leave only XHCI controller for supported guests (PSBM-40423) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Tue Nov 10 2015 Sergey Galas' <shrike@odin.com> 7.0.38
 - bug #PSBM-41139 (Sergey Galas <shrike@odin.com>)

* Thu Nov 05 2015 Sergey Galas' <shrike@odin.com> 7.0.37
 - Set default CD-ROM emulation type to PVE::CdRomImage (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-35279)

* Tue Nov 03 2015 Sergey Galas' <shrike@odin.com> 7.0.36
 - IO limits are now part of hdd information (Alexander Burluka
<aburluka@odin.com>) (#PSBM-27716)

* Tue Nov 03 2015 Sergey Galas' <shrike@odin.com> 7.0.35
 - Guest exec functionality via libvirt and qemu guest agent. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-39325)

* Mon Nov 02 2015 Sergey Galas' <shrike@odin.com> 7.0.34
 - Place default CD drive on IDE bus for Windows guests (#PSBM-40949) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Fri Oct 23 2015 Sergey Galas' <shrike@odin.com> 7.0.33
 - Fixed default HDD params calculation (Alexander Burluka <aburluka@odin.com>) (#PSBM-39966)

* Thu Oct 22 2015 Sergey Galas' <shrike@odin.com> 7.0.32
 - New error value for too long VM names #PSBM-39975 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Oct 21 2015 Sergey Galas' <shrike@odin.com> 7.0.31
 - Virtio-scsi is now default for Windows VM (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39969 #PSBM-39966)

* Mon Oct 19 2015 Sergey Galas' <shrike@odin.com> 7.0.30
 - Add virtio block storage controller (PSBM-39893) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Since we use qemu only port numbers greater than 5899 are possible
#PSBM-39807 (Dmitry Andreev <dandreev@odin.com>)

* Tue Oct 13 2015 Sergey Galas' <shrike@odin.com> 7.0.29
 - Make virtio-scsi default for linux disks (#PSBM-34880) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - README.md: updated build command (Daniil Guzanov <dguzanov@odin.com>)
 - Added simple Makefile (Daniil Guzanov <dguzanov@odin.com>)
 - Update link to Github repo (Sergey Bronnikov <sergeyb@openvz.org>)

* Thu Sep 24 2015 Sergey Galas' <shrike@odin.com> 7.0.28
 - Default VM configuration will not use SATA HDD because QEMU 2.1.2 isn't able
to migrate SATA HDD #PSBM-39909 (Dmitry Andreev <dandreev@odin.com>)
 - Load unhandled CT parameter to xml config to raw section #PSBM-34051 (Igor
Sukhih <igor@parallels.com>)
 - MERGE Implement detach and reattach for the client side of the
IOCommunication connection (#PSBM-29120) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Thu Sep 17 2015 Sergey Galas' <shrike@odin.com> 7.0.27
 - Use IDE HDD by default for windows os type with EFI enabled. #PSBM-37908
(Dmitry Andreev <dandreev@odin.com>)
 - Add CurrentVmDomain field for libvirt domain config to problem report xml
scheme #PSBM-39687 (Dmitry Andreev <dandreev@odin.com>)
 - Remove google-breakpad #PSBM-39388 (Dmitry Andreev <dandreev@odin.com>)
 - bug #PSBM-38748 @110345 Fix length of control message (Inga Pyass
<ipyass@virtuozzo.com>)

* Wed Jul 22 2015 Sergey Galas' <shrike@odin.com> 7.0.25
 - Added means to get VM config with autogenerated params (Alexander Burluka
<aburluka@odin.com>) (#PSBM-34906)
 - Change comment for PRL_GUEST_FS_DISK_INDEX_PTRN (#PSBM-33069) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.23
 - Add new memory counters names (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.22
 - Add PRL_VIRTUAL_NETWORK_FLAGS enum for PrlSrv_AddVirtualNetwork (Maxim
Nestratov <mnestratov@parallels.com>)
 - Remove PRL_SET_PROXY_CONNECTION_FLAGS enum as unused (Maxim Nestratov
<mnestratov@parallels.com>)

* Tue Jun 30 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.21
 - Fixed build on CentOS6 #PSBM-34294

* Mon Jun 29 2015 Sergey Galas' <shrike@odin.com> 7.0.20
 - Changed API version from 3 to 7. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Minor fixes: comments. (Maxim Perevedentsev <mperevedentsev@parallels.com>)
 - Fixed wrapper: added RateMPU get/set functions to symbols. (Maxim
Perevedentsev <mperevedentsev@parallels.com>)
 - Fixed handles: added RateMPU get/set implementation. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Fixed PrlApiNet.h to add RateMPU parameter get/set, added NRM_ constants.
(Maxim Perevedentsev <mperevedentsev@parallels.com>)
 - Fixed schema: added integer RateMPU parameter to CNetworkShaping. (Maxim
Perevedentsev <mperevedentsev@parallels.com>)

* Mon Jun 29 2015 Sergey Galas' <shrike@odin.com> 7.0.19
 - libvirt now links with prl_sdk which uses ioservice lib also. then we have a
double free of a global variable from 2 modules. hide it because nobody uses it
outside. (Sergey Galas <shrike@odin.com>)
 - Add patterns for filesystem statistics counter names (#PSBM-33069) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Added functions to manage H/A to Python SDK (Inga Pyass
<ipyass@virtuozzo.com>)

* Mon Jun 22 2015 Sergey Galas' <shrike@odin.com> 7.0.18
 - Add patterns for filesystem statistics counter names (#PSBM-33069) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Added functions to manage H/A to Python SDK (Inga Pyass
<ipyass@virtuozzo.com>)
 - another wrapper. tests required it (Sergey Galas <shrike@odin.com>)

* Wed Jun 10 2015 Daniil Guzanov <dguzanov@virtuozzo.com> 7.0.18-2
 - Added parallels-sdk.pc

* Wed Jun 10 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.18
 - Added GetCtId() to the python SDK (#PSBM-34162)

* Thu Jun 04 2015 Sergey Galas' <shrike@odin.com> 7.0.17
 - Remove PrlApi_IsGuestOs and PrlTools_SendUtilityCommand (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - #PSBM-33974 (Alexander Kurbatov <alkurbatov@virtuozzo.com>)
 - Updated source git repo (Daniil Guzanov <dguzanov@odin.com>)

* Mon Jun 01 2015 Konstantin Volkov <wolf@parallels.com> 7.0.16
 - Do not use BuildConfig for supported python versions
 - Remove _VmIOMouse class from python bindings
 - Move PrlVmCfg_GetEnvId to PrlApiDeprMacro.h, see #PSBM-33903
 - Merge pull request #7 in VZS/libprlsdk from ~ALKURBATOV/libprlsdk:multythread-display-connect to master (Igor Sukhih <igor@odin.com>)
 - Change EnvId type from integer to string (Igor Sukhih <igor@parallels.com>)
 - Shared IO Display connection with reference counter (Alexandr Kurbatov <alkurbatov@parallels.com>)

* Mon Jun 01 2015 Konstantin Volkov <wolf@odin.com> 7.0.15-2
- Added libprlsdk-python subpackage, see #PSBM-33903

* Wed May 27 2015 Igor Sukhih <igor@parallels.com> 7.0.15
 - Change EnvId type from integer to string, #PSBM-33779

* Tue May 26 2015 Igor Sukhih <igor@parallels.com> 7.0.15
 - Add PrlVmCfg_GetCtId(), #PSBM-33779

* Wed May 20 2015 Sergey Galas' <shrike@odin.com> 7.0.14
 - Add per vcpu counter (Nikolay Shirokovskiy <nshirokovskiy@parallels.com>)
 - Change sharing defaults in xml model (Maxim Nestratov <mnestratov@parallels.com>)
 - Fix: added close() (Daniil Guzanov <dguzanov@odin.com>)
 - Gen.py takes version from Makefile.version #PSBM-32883 (Daniil Guzanov <dguzanov@odin.com>)

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.11
 - gen_uuid.c: s/_SVID_SOURCE/_DEFAULT_SOURCE/ (Maxim Nestratov
<mnestratov@parallels.com>)
 - Licence changed to strict LGPLv2.1 #PSBM-26806

* Tue Apr 07 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.10
- rebuild with ploop 7.0.x #PSBM-32811

* Wed Sep 17 2014 Maxim Nestratov <mnestratov@parallels.com> - 7.0.0
- Initial public revision
